File: control

package info (click to toggle)
modsecurity-crs 3.1.0-1
  • links: PTS
  • area: main
  • in suites: bullseye, buster
  • size: 3,392 kB
  • sloc: ansic: 727; python: 436; perl: 428; ruby: 69; makefile: 14; sh: 11
file content (26 lines) | stat: -rw-r--r-- 1,133 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
Source: modsecurity-crs
Section: httpd
Priority: optional
Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.2.1
Homepage: http://www.modsecurity.org

Package: modsecurity-crs
Architecture: all
Depends: ${misc:Depends}
Recommends: libapache2-mod-security2 (>= 2.8.0)
Suggests: lua, geoip-database-contrib, ruby, python
Description: OWASP ModSecurity Core Rule Set
 modsecurity provides critical protections against attacks across most every
 web architecture. CRS is based on generic rules which focus on attack payload
 identification in order to provide protection from zero day and unknown
 vulnerabilities often found in web applications, which are in most cases
 custom coded.
 .
 Core Rules use the following techniques: HTTP request validation, HTTP
 protocol anomalies, Global constraints, HTTP Usage policy, Malicious client
 software detection, Generic Attack Detection (SQL injection, Cross Site
 Scripting, OS Command Injection, ColdFusion, PHP and ASP injection, etc.),
 Trojans & Backdoors Detection, Error Detection, XML Protection, Search Engine
 Monitoring.